Summary:        Tool to analyse BIOS DMI data.
Name:           dmidecode
Version:        2.7
Release: %(R="$Revision: 1.28 $"; RR="${R##: }"; echo ${RR%%?}).2%{?dist}
Epoch:		1
Group:          System Environment/Base
License:        GPL
Source0:	dmidecode-%{version}.tar.bz2
URL:		http://www.nongnu.org/dmidecode/
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildPreReq: 	/usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf
ExclusiveArch:	i386 x86_64 ia64
Obsoletes:	kernel-utils

%description
dmidecode reports information about x86 hardware as described in the
system BIOS according to the SMBIOS/DMI standard. This information
typically includes system manufacturer, model name, serial number,
BIOS version, asset tag as well as a lot of other details of varying
level of interest and reliability depending on the manufacturer.

This will often include usage status for the CPU sockets, expansion
slots (e.g. AGP, PCI, ISA) and memory module slots, and the list of
I/O ports (e.g. serial, parallel, USB).

%prep
%setup -q

%build
%ifarch ia64
make CFLAGS="$RPM_OPT_FLAGS -DALIGNMENT_WORKAROUND"
%else
make CFLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} prefix=%{_prefix} install-bin install-man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG LICENSE README
%{_sbindir}/dmidecode
%{_sbindir}/vpddecode
%{_sbindir}/ownership
%{_sbindir}/biosdecode
%{_mandir}/man8/*

%changelog
* Wed Jan 10 2007 Alan Cox <alan@redhat.com>
- Enable ALIGNMENT_WORKAROUND for ia64 (Fix from Jose Plans)
# Resolves: #221279

* Fri Nov 24 2006 Alan Cox <alan@redhat.com>
- do build on ia64 again

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:2.7-1.25.1
- rebuild

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 28 2005 Dave Jones <davej@redhat.com>
- Integrate several specfile cleanups from Robert Scheck. (#172543)

* Sat Sep 24 2005 Dave Jones <davej@redhat.com>
- Revert yesterdays patch, its unneeded in 2.7

* Fri Sep 23 2005 Dave Jones <davej@redhat.com>
- Don't try to modify areas mmap'd read-only.
- Don't build on ia64 any more.
  (It breaks on some boxes very badly, and works on very few).

* Mon Sep 12 2005 Dave Jones <davej@redhat.com>
- Update to upstream 2.7

* Fri Apr 15 2005 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Wed Mar  2 2005 Dave Jones <davej@redhat.com>
- Update to upstream 2.6

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Tue Jan 11 2005 Dave Jones <davej@redhat.com>
- Add missing Obsoletes: kernel-utils

* Mon Jan 10 2005 Dave Jones <davej@redhat.com>
- Update to upstream 2.5 release.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils package.

